import { world } from "@minecraft/server"
import { villagerMessages } from './villagerMessages';


world.afterEvents.playerInteractWithEntity.subscribe(ev => {
    let entity = ev.target
    let player = ev.player
    let variant = entity.getComponent('minecraft:variant')?.value
    ///verificamos si es la variante 14 porque este es el numero del aldeano nitwit
    if (entity.typeId == 'minecraft:villager_v2' && variant == 14) {
        let message = villagerMessages[Math.floor(Math.random() * villagerMessages.length)]
        player.playSound('mob.villager.idle')
        player.sendMessage(`§a${message}`)
    }
})